Help with certain PSX games after updating to 6.39 ME-9.6

Discussion in 'PSP - Hacking & Homebrew' started by Dalrint, Jun 26, 2012.

  1. Dalrint
    OP

    Newcomer Dalrint Advanced Member

    Joined:
    Apr 4, 2008
    Messages:
    55
    Country:
    United States
    So, I updated my psp to 6.39 ME-9.6, and then went and got v4 of the popsloader that's compatible with this firmware...and now I cannot get certain games to load.

    Some, like FFIX or VII, work fine. But FFVIII or Chrono Cross will not, and I cannot figure out why. These all worked before the upgrade, I am not trying a new iso or anything, these are the same ones I was playing before that now won't load at all. The psp just stays on a black screen, sometimes crashing, or sometimes just hanging forever (but I can access the home menu and exit out to the dashboard).

    I'm kind of at a loss. I went through with both eight and CC and tried every single pops version all the way back to 3.4 and none of them work.

    Help? I'm almost tempted to roll back my firmware to something older...
     

Share This Page